# Generated by rust2rpm 24
%bcond_without check

%global crate git-delta

Name:           rust-git-delta
Version:        0.16.5
Release:        %autorelease
Summary:        Syntax-highlighting pager for git

License:        MIT
URL:            https://crates.io/crates/git-delta
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump bat dependency from 0.22.1 to 0.23.0:
#   https://github.com/dandavison/delta/commit/953af74
# * relax bytelines dependency from =2.2.2 to ^2.2.2
# * temporarily downgrade palette dependency from 0.6.1 to 0.6.0
Patch:          git-delta-fix-metadata.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
A syntax-highlighting pager for git.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# CC0-1.0
# LGPL-3.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND CC0-1.0 AND GPL-2.0-only WITH GCC-exception-2.0 AND LGPL-3.0-or-later AND MIT AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc ARCHITECTURE.md
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/delta
%{bash_completions_dir}/delta.bash
%{fish_completions_dir}/delta.fish
%{zsh_completions_dir}/_delta

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if %{with check}
echo 'git-core'
%endif

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install shell completions
install -Dpm0644 etc/completion/completion.bash \
    -T %{buildroot}/%{bash_completions_dir}/delta.bash
install -Dpm0644 etc/completion/completion.fish \
    -T %{buildroot}/%{fish_completions_dir}/delta.fish
install -Dpm0644 etc/completion/completion.zsh \
    -T %{buildroot}/%{zsh_completions_dir}/_delta

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
